// ---------------------------------------------
// Drogar  Dialogue
// ---------------------------------------------
BEGIN LK#DROJ

// 1.
IF ~Global("LK#DrogarTalks","GLOBAL",1)~ d.1
  SAY ~~
  IF ~~ DO ~SetGlobal("LK#DrogarTalks","GLOBAL",2)~ EXIT
END

// 2.
IF ~Global("LK#DrogarTalks","GLOBAL",3)~ d.2
  SAY ~~
  IF ~~ DO ~SetGlobal("LK#DrogarTalks","GLOBAL",4)~ EXIT
END

// 3.
IF ~Global("LK#DrogarTalks","GLOBAL",5)~ d.3
  SAY ~~
  IF ~~ DO ~SetGlobal("LK#DrogarTalks","GLOBAL",6)~ EXIT
END

// 4.
IF ~Global("LK#DrogarTalks","GLOBAL",7)~ d.4
  SAY ~~
  IF ~~ DO ~SetGlobal("LK#DrogarTalks","GLOBAL",8)~ EXIT
END

// Race: Dwarf
IF ~Global("LK#DrogarDwarfTalk","GLOBAL",1)~ d.d
  SAY ~~
  IF ~~ DO ~SetGlobal("LK#DrogarDwarfTalk","GLOBAL",2)~ EXIT
END


// ---------------------------------------------
// Drogar Interjections
// ---------------------------------------------


// Bodhi
INTERJECT_COPY_TRANS BODHI 1 LK#DrogarBodhiIntro
  == LK#DROJ IF ~InParty("Drogar") !StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN
  ~An undead?  Ye've got to be kiddin' me.  Don't listen to it, or it'll twist yer soul before ye can blink.~
END

INTERJECT_COPY_TRANS3 BODHI 18  LK#DrogarBodhiLeave
  == LK#DROJ IF ~InParty("Drogar") !StateCheck("Drogar",CD_STATE_NOTVALID) Gender(PC,MALE)~ THEN
  ~I'm takin' no part o' this, ye ruddy fool.  Deal with the devil if ye wish, but don't expect any help from me.~
  == LK#DROJ IF ~InParty("Drogar") !StateCheck("Drogar",CD_STATE_NOTVALID) Gender(PC,FEMALE)~ THEN
  ~I'm takin' no part o' this, ye ruddy whelp.  Deal with the devil if ye wish, but don't expect any help from me.~
  DO ~ChangeAIScript("",DEFAULT) SetLeavePartyDialogFile() LeaveParty() EscapeArea()~
END


// Trademeet Gypsy
EXTEND_BOTTOM TRGYP02 2
  IF ~!InPartySlot(LastTalkedToBy,0) Name("Drogar",LastTalkedToBy)~ EXTERN TRGYP02  LK#DrogarGypsy_0
END

APPEND TRGYP02
IF ~~ LK#DrogarGypsy_0
  SAY ~You've a history filled with blood and steel, dwarf; be careful you do not repeat past mistakes or it will be your end.~
  IF ~~ EXTERN LK#DROJ LK#DrogarGypsy_1
END
END

APPEND LK#DROJ
IF ~~ LK#DrogarGypsy_1
  SAY ~Ruddy fortune teller...get ye gone!  I'll be havin' nothing to do with yer lies.~
  IF ~~ EXIT
END
END


// In Hell
I_C_T PLAYER1 25 LK#Drogar_Hell
  == LK#DROJ IF ~!StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN ~What am I, yer ruddy slave?  Why'd ye have ter take me with ye!  An' here I just helped ye defeat that murderous bastard...~
  = ~(sigh) No, don't tell me.  Fine, me weapon is yours--at least until we're out of this place.~
END


// Irenicus in Hell
I_C_T HELLJON 7 LK#Drogar_Iren
  == LK#DROJ IF ~!StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN ~Ye know what?  Ye're all talk, Irenicus, and ye'll fall just like ye did in Suldanessellar.~
END

I_C_T HELLJON 8 LK#Drogar_Iren1
  == LK#DROJ IF ~!StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN ~Ye know what?  Ye're all talk, Irenicus, and ye'll fall just like ye did in Suldanessellar.~
END

I_C_T HELLJON 9 LK#Drogar_Iren2
  == LK#DROJ IF ~!StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN ~Ye know what?  Ye're all talk, Irenicus, and ye'll fall just like ye did in Suldanessellar.~
END

I_C_T HELLJON 10 LK#Drogar_Iren3
  == LK#DROJ IF ~!StateCheck("Drogar",CD_STATE_NOTVALID)~ THEN ~Ye know what?  Ye're all talk, Irenicus, and ye'll fall just like ye did in Suldanessellar.~
END


// Tree of Life
EXTEND_BOTTOM PLAYER1 33
IF ~InParty("Drogar") InMyArea("Drogar") !StateCheck("Drogar",CD_STATE_NOTVALID) Global("LK#DrogarTreeofLife","GLOBAL",0)~
EXTERN PLAYER1 LK#DrogarToL
END


CHAIN PLAYER1 LK#DrogarToL
~Drogar, the somewhat patronising, generous and loyal mother, has stayed by your side against the darkest of odds. She has a family and life yet to live.~
END
  ++ ~This is my battle, Drogar. It's too dangerous--I won't risk your life to avenge what was taken from me.~ DO ~SetGlobal("LK#DrogarTreeofLife","GLOBAL",1)~ EXTERN LK#DROJ LK#DrogarToL_1
  ++ ~You don't need to come with me, Drogar. You've done more than enough already.~ DO ~SetGlobal("LK#DrogarTreeofLife","GLOBAL",1)~ EXTERN LK#DROJ LK#DrogarToL_1
  ++ ~Are you with me, Drogar? I'll need all the help I can get to defeat Irenicus.~ DO ~SetGlobal("LK#DrogarTreeofLife","GLOBAL",1)~ EXTERN LK#DROJ LK#DrogarToL_2

APPEND LK#DROJ
  IF ~~ LK#DrogarToL_1
    SAY ~Nonsense! I've stood by you so far, why would I want to abandon you now? I'm coming with you, dear, whether you like it or not. Irenicus has a lot to answer for.~
    COPY_TRANS PLAYER1 33
  END
  
  IF ~~ LK#DrogarToL_2
    SAY ~What do you expect me to do, dear? Turn tail and have tea with one of the elven priestesses? Hardly. Irenicus has a lot to answer for. I'm with you.~
    COPY_TRANS PLAYER1 33
  END
END